Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## PER.exhibit.GUI
Class MissionCentral

    java.lang.Object
      java.awt.Component
          java.awt.Container
              javax.swing.JComponent
                  javax.swing.JPanel
                      PER.exhibit.GUI.MissionCentral

All Implemented Interfaces:
  javax.accessibility.Accessible, java.awt.image.ImageObserver, java.awt.MenuContainer, Screen, java.io.Serializable

public class MissionCentral
extends javax.swing.JPanel
implements Screen

Allows exhibit users to view the panorama received from the rover, select a target rock, and specify the angle and distance to that target.

See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class javax.swing.JPanel
`javax.swing.JPanel.AccessibleJPanel`

Nested classes inherited from class javax.swing.JComponent
`javax.swing.JComponent.AccessibleJComponent`

Nested classes inherited from class java.awt.Container
`java.awt.Container.AccessibleAWTContainer`

Nested classes inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

Field Summary
`javax.swing.JMenuItem` | `attractLoopMenuItem`
`javax.swing.JButton` | `goButton`
`javax.swing.JLayeredPane` | `layeredPane`
`javax.swing.JMenuItem` | `navOnlyMenuItem`
`javax.swing.JMenuItem` | `navPlusMenuItem`
`javax.swing.JMenuItem` | `newPanMenuItem`
`javax.swing.JMenuItem` | `turnMenuItem`

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`MissionCentral()` Creates new form MissionCentral

Method Summary
`int` | `getDegrees()`
`int` | `getDist()`
`static void` | `main(java.lang.String[] args)`
`void` | `setClockTime(java.lang.String s)` If the screen has a clock, sets the clock text to the given string, otherwise does nothing.
`void` | `setImage(java.awt.Image original)` Sets the panorama image to the given image.
`void` | `setMapCoordinates(java.awt.Polygon mapPolygon, int sunxposition, int sunyposition, double yardWidthInCM, int originalImageWidth, int originalImageHeight)` Sets the mapPolygon and sun center point after scaling them to match the map image.
`void` | `setMapImage(java.awt.Image mimg, java.awt.Image rolloverImg)` Sets the map image to `mimg` and the rollover border image to `rolloverImg`.
`void` | `showPopupMenu(java.awt.Component c, int x, int y)` Displays the popup menu at the position x,y in the coordinate space of the component invoker `c`.
`void` | `start()` Initializes the screen and prepares it to be displayed.
`void` | `stop()` Performs any cleanup, such as stoping timers, when the screen stops being displayed.

Methods inherited from class javax.swing.JPanel
`getAccessibleContext, getUI, getUIClassID, paramString, setUI, updateUI`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBorder, getBounds, getClientProperty, getComponentGraphics, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getGraphics, getHeight, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPreferredSize, getPropertyChangeListeners, getPropertyChangeListeners, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isMaximumSizeSet, isMinimumSizeSet, isOpaque, isOptimizedDrawingEnabled, isPaintingTile, isPreferredSizeSet, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFont, setForeground, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addImpl, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setFocusCycleRoot, setFocusTraversalKeys, setFocusTraversalPolicy, setLayout, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMouseWheelListeners, getName, getParent, getPeer, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### attractLoopMenuItem

    public javax.swing.JMenuItem attractLoopMenuItem

### goButton

    public javax.swing.JButton goButton

### layeredPane

    public javax.swing.JLayeredPane layeredPane

### navOnlyMenuItem

    public javax.swing.JMenuItem navOnlyMenuItem

### navPlusMenuItem

    public javax.swing.JMenuItem navPlusMenuItem

### newPanMenuItem

    public javax.swing.JMenuItem newPanMenuItem

### turnMenuItem

    public javax.swing.JMenuItem turnMenuItem

Constructor Detail

### MissionCentral

    public MissionCentral()

  Creates new form MissionCentral

Method Detail

### setImage

    public void setImage(java.awt.Image original)

  Sets the panorama image to the given image.

### setMapImage

    public void setMapImage(java.awt.Image mimg,
                            java.awt.Image rolloverImg)

  Sets the map image to `mimg` and the rollover border image to `rolloverImg`.

### getDegrees

    public int getDegrees()

### getDist

    public int getDist()

### showPopupMenu

    public void showPopupMenu(java.awt.Component c,
                              int x,
                              int y)

  Displays the popup menu at the position x,y in the coordinate space of the component invoker `c`.

### start

    public void start()

  Description copied from interface: `Screen`
  Initializes the screen and prepares it to be displayed.

  Specified by:
    `start` in interface `Screen`

### stop

    public void stop()

  Description copied from interface: `Screen`
  Performs any cleanup, such as stoping timers, when the screen stops being displayed.

  Specified by:
    `stop` in interface `Screen`

### setMapCoordinates

    public void setMapCoordinates(java.awt.Polygon mapPolygon,
                                  int sunxposition,
                                  int sunyposition,
                                  double yardWidthInCM,
                                  int originalImageWidth,
                                  int originalImageHeight)

  Sets the mapPolygon and sun center point after scaling them to match the map image.

### main

    public static void main(java.lang.String[] args)

### setClockTime

    public void setClockTime(java.lang.String s)

  Description copied from interface: `Screen`
  If the screen has a clock, sets the clock text to the given string, otherwise does nothing.

  Specified by:
    `setClockTime` in interface `Screen`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD